// Code generated by mockery v2.22.1. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"

	service "gitlab.com/cyverse/cacao-common/service"
)

// OutgoingEventPort is an autogenerated mock type for the OutgoingEventPort type
type OutgoingEventPort struct {
	mock.Mock
}

// CreateFailed provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) CreateFailed(_a0 service.ProviderResponse) {
	_m.Called(_a0)
}

// Created provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) Created(_a0 service.ProviderResponse) {
	_m.Called(_a0)
}

// DeleteFailed provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) DeleteFailed(_a0 service.ProviderResponse) {
	_m.Called(_a0)
}

// Deleted provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) Deleted(_a0 service.ProviderResponse) {
	_m.Called(_a0)
}

// UpdateFailed provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) UpdateFailed(_a0 service.ProviderResponse) {
	_m.Called(_a0)
}

// Updated provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) Updated(_a0 service.ProviderResponse) {
	_m.Called(_a0)
}

type mockConstructorTestingTNewOutgoingEventPort interface {
	mock.TestingT
	Cleanup(func())
}

// NewOutgoingEventPort creates a new instance of OutgoingEventPort. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewOutgoingEventPort(t mockConstructorTestingTNewOutgoingEventPort) *OutgoingEventPort {
	mock := &OutgoingEventPort{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
